org.apache.catalina.storeconfig

## Class OpenSSLConfSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.OpenSSLConfSF

- All Implemented Interfaces:
    IStoreFactory

      public class OpenSSLConfSF
      extends StoreFactoryBase

  Store OpenSSLConf

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenSSLConfSF()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `storeChildren(PrintWriter aWriter, int indent, Object aOpenSSLConf, StoreDescription parentDesc)` Store nested OpenSSLConfCmd elements.

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenSSLConfSF

          public OpenSSLConfSF()

  - ### Method Detail

    - #### storeChildren

          public void storeChildren(PrintWriter aWriter,
                           int indent,
                           Object aOpenSSLConf,
                           StoreDescription parentDesc)
                             throws Exception

      Store nested OpenSSLConfCmd elements. Must Implement at subclass for custom store children handling.
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - Current output writer
        `indent` - Indentation level
        `aOpenSSLConf` - Current element
        `parentDesc` - The element description
      Throws:
        `Exception` - Configuration storing error

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.